Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 26 Sep 2017, 05:26
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Drivers
Nvidia drivers
Post new topic   Reply to topic View previous topic :: View next topic
Page 8 of 10 [140 Posts]   Goto page: Previous 1, 2, 3, ..., 6, 7, 8, 9, 10 Next
Author Message
shinobar


Joined: 28 May 2009
Posts: 2664
Location: Japan

PostPosted: Sat 24 Sep 2016, 04:02    Post subject: File server restarted  

The file server is restarted at 2016-09-24 7:50 GMT.
http://shino.pos.to/party/bridge.cgi?puppy/opt/

Sorry for your inconvenience.

_________________
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html
Back to top
View user's profile Send private message Visit poster's website 
foxpup


Joined: 29 Jul 2016
Posts: 233
Location: europa near northsea

PostPosted: Mon 26 Sep 2016, 10:05    Post subject: legacy71xx and tahr  

Hi, anyone who succeeded in compiling legacy71xx driver (old old old!) on tahr6.0.2 (kernel 3.14.20). It certainly needs patches.
AND have it running (possibly will not run on newer Xorg?)?
Back to top
View user's profile Send private message 
peebee


Joined: 21 Sep 2008
Posts: 2864
Location: Worcestershire, UK

PostPosted: Tue 27 Sep 2016, 02:27    Post subject: 304.132  

Legacy driver .run file 304.132

has been released.....

later - compiles under kernel 4.7.5 but does not load - looks like mtrr patch for kernels > 4.3 has not been applied!!

nvidia: Unknown symbol mtrr_del (err 0)
nvidia: Unknown symbol mtrr_add (err 0)

even later - I've managed to apply the mtrr patches to the 304.132.run but getnvidia then throws a wobbly and won't build the sfs - however installing the .run directly does create and install a working driver....

_________________
LxPup = Puppy + LXDE
Back to top
View user's profile Send private message Visit poster's website 
peebee


Joined: 21 Sep 2008
Posts: 2864
Location: Worcestershire, UK

PostPosted: Wed 28 Sep 2016, 06:19    Post subject:  

and even later

lessons learnt: there must not be a space in the path to the .run file otherwise getnvidia fails....

The following items in getnvidia-1.0.pet are now out of date:
/usr/bin/nvidia-installer (vintage 2013 - copied new version from 304.132 .run extract)
/usr/share/getnvidia/nvidia-glx.files (directory X11R7 no longer exists - change to /usr/lib/xorg/)

I've uploaded the patched .run to:
https://sourceforge.net/projects/lxpup/files/Other/nvidia/NVIDIA-Linux-x86-304.132-patched-mtrr.run/download

The patch applied is:
Code:
--- kernel/nv-linux.h
+++ kernel/nv-linux.h
@@ -256,6 +256,15 @@
 #include <linux/seq_file.h>
 #endif
 
+/*
+ * As of version 304.131, os-agp.c and os-mtrr.c still use deprecated
+ * kernel APIs for mtrr which are no longer exported since 4.3, causing
+ * the module to error out when loaded.
+ */
+#if LINUX_VERSION_CODE >= KERNEL_VERSION(4,3,0)
+#undef CONFIG_MTRR
+#endif
+
 #if !defined(NV_VMWARE) && defined(CONFIG_MTRR)
 #include <asm/mtrr.h>
 #endif
Screenshot.png
 Description   
 Filesize   130.51 KB
 Viewed   1134 Time(s)

Screenshot.png


_________________
LxPup = Puppy + LXDE
Back to top
View user's profile Send private message Visit poster's website 
peebee


Joined: 21 Sep 2008
Posts: 2864
Location: Worcestershire, UK

PostPosted: Thu 15 Dec 2016, 13:12    Post subject:  

Drivers 304.134 (Xorg-1.19 compatible) have been released by nvidia

Also 340.101

mtrr patch is still needed to make a loadable driver for Puppy.....

Patched .run file (32-bit):
https://sourceforge.net/projects/lxpup/files/Other/nvidia/NVIDIA-Linux-x86-304.134-patched-mtrr.run/download

_________________
LxPup = Puppy + LXDE
Back to top
View user's profile Send private message Visit poster's website 
peebee


Joined: 21 Sep 2008
Posts: 2864
Location: Worcestershire, UK

PostPosted: Mon 16 Jan 2017, 08:22    Post subject:  

A further patch is needed to build the 304.134 driver in kernel 4.9

A patched 32-bit .run file with all patches needed for k4.9 is available from:
NVIDIA-Linux-x86-304.134-patched-k4.9.run

The k4.9 patch is:
Code:
--- kernel/nv-drm.c   2016-12-09 19:47:20.000000000 +0000
+++ kernel/nv-drm.c   2017-01-02 16:03:57.691298148 +0000
@@ -71,7 +71,11 @@
 };
 
 static struct drm_driver nv_drm_driver = {
-    .driver_features = 0,
+#if LINUX_VERSION_CODE >= KERNEL_VERSION(4, 9, 0)
+    .driver_features = DRIVER_GEM | DRIVER_PRIME | DRIVER_LEGACY,
+#else
+     .driver_features = DRIVER_GEM | DRIVER_PRIME,
+#endif
     .load = nv_drm_load,
     .unload = nv_drm_unload,
     .fops = &nv_drm_fops,

_________________
LxPup = Puppy + LXDE
Back to top
View user's profile Send private message Visit poster's website 
smokey01


Joined: 30 Dec 2006
Posts: 2645
Location: South Australia

PostPosted: Wed 18 Jan 2017, 18:30    Post subject:  

peebee wrote:
Drivers 304.134 (Xorg-1.19 compatible) have been released by nvidia

Also 340.101

mtrr patch is still needed to make a loadable driver for Puppy.....

Patched .run file (32-bit):
https://sourceforge.net/projects/lxpup/files/Other/nvidia/NVIDIA-Linux-x86-304.134-patched-mtrr.run/download


@peebee is there something available for Fatdog64-710 for k4.4.35?

_________________
Software <-> Distros <-> Tips <-> Newsletters
Back to top
View user's profile Send private message Visit poster's website 
peebee


Joined: 21 Sep 2008
Posts: 2864
Location: Worcestershire, UK

PostPosted: Wed 18 Jan 2017, 19:22    Post subject:  

smokey01 wrote:
peebee wrote:
Drivers 304.134 (Xorg-1.19 compatible) have been released by nvidia

Also 340.101

mtrr patch is still needed to make a loadable driver for Puppy.....

Patched .run file (32-bit):
https://sourceforge.net/projects/lxpup/files/Other/nvidia/NVIDIA-Linux-x86-304.134-patched-mtrr.run/download


@peebee is there something available for Fatdog64-710 for k4.4.35?

There is a 64-bit .run with the mtrr patch for the earlier 304.132 driver at:
https://sourceforge.net/projects/lxpup/files/Other/nvidia/NVIDIA-Linux-x86_64-304.132-patched-mtrr.run/download

which should be sufficient for k4.4.35 as long as Fatdog has not moved to Xorg-1.19.....for which 304.134 is needed

Whether getnvidia works on Fatdog64 I've no idea....I suspect not - so you would have to permanently install it via the .run file directly - i.e. you wouldn't get a .pet or .sfs - but Fatdog doesn't use .pets anyway??

All a bit of a mystery to me I'm afraid....

_________________
LxPup = Puppy + LXDE
Back to top
View user's profile Send private message Visit poster's website 
prehistoric


Joined: 23 Oct 2007
Posts: 1671

PostPosted: Wed 18 Jan 2017, 19:50    Post subject:  

@peebee,

I have a patched NVIDIA-Linux-x86_64-304.134.run file that I've tested successfully on Fatdog 64 710 (kernel 4.4.35) with a machine that has the embedded Geforce 6150 video, requiring the legacy driver.

How do I get this to you?

I've attached the command line output from extracting the files, applying the patches, and running a modified makeself to recreate the self-extracting file. This was then run on a machine with plenty of RAM and the devx and kernel source sfs. You need to blacklist nouveau before you run this to avoid confusing the script, and again when you reboot. The problem is that the modified configuration files don't come into effect until after the initrd is used, which is likely to load nouveau. With Fatdog 710 the syntax at the end of the kernel line is simply "blacklist=nouveau". You also need to modify any bootloader like Grub to keep blacklisting the module, unless you want to rebuild the initrd.
cli_IO.txt.gz
Description  command line input and output needed to extract files from the NVIDIA-Linux-x86_64-304.134.run, apply your mtrr patch, recreate the self-extracting file, and run this to compile and install the custom nvidia kernel module.
gz

 Download 
Filename  cli_IO.txt.gz 
Filesize  1.74 KB 
Downloaded  64 Time(s) 
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 9268
Location: Charleston S.C. USA

PostPosted: Wed 18 Jan 2017, 19:57    Post subject:  

A lot of drivers here:
https://archive.org/download/Puppy_Linux_Skami_Driver_Repo

_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send private message 
prehistoric


Joined: 23 Oct 2007
Posts: 1671

PostPosted: Thu 19 Jan 2017, 20:15    Post subject:  

Okay, the patched nvidia file mentioned above (NVIDIA-Linux-x86_64-304.134-patched.run) has been uploaded to www.smokey01,com/prehistoric along with an md5sum. Use the site search to find it, if this isn't obvious.

I've removed two files I had uploaded before, as they are so out-of-date as to be dangerous.

The .run script has been tested on two machines running Fatdog 710 which had sufficient memory for development. This requires the devx.sfs and the kernel source for 4.4.35 to be loaded. It should work on later kernels up to 4.9, but has not been tested.

To build this module in Fatdog you need to boot with "blacklist=nouveau" appended, and exit the GUI to run from the console, or the script gets upset. After it has built the nvidia kernel module and modified configuration files you can type xwin to go to a GUI desktop, but in fatdog 710 you will still need to blacklist nouveau on every boot to avoid having a conflict with the initrd loading nouveau. (Modify the kernel line in the bootloader menu.)

This is only for legacy Nvidia products requiring the 304.xxx driver. The test machines both had Geforce 6150/6150LE embedded graphics. At one time this was a popular type of video in consumer products like the HP media center PCs. By coincidence, we have just had an unrelated request for help with one. I have a machine I built myself, and was recently given an HP media center considered obsolete. Both run Puppy or Fatdog 710 nicely.

Those who are running Puppies built from binaries available for Ubuntu, for example, do not have to use this as they can probably find the corresponding binaries on-line. This has the advantage that it works with files directly downloaded from Nvidia, only patched to allow newer kernels.
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 9268
Location: Charleston S.C. USA

PostPosted: Mon 06 Feb 2017, 18:05    Post subject:  

After using Getnvidia 1.0.
Making and installing a Nvidia driver.
Now using the Nvidia driver.

I noticed this file in /root/startup

Code:
nvidia


It says it does this:

Quote:
watch and make the nvidia graphic driver ready.


This is a Puppy specific file made by Puppy people.

I deleted this file from /root/startup.

Still get normal operation of the Nvidia driver after fresh boot.

Does any one really know what this file is suppose to do and is it really needed in /root/startup?
Should it need to be deleted after getting the Nvidia driver installed?

Update:
Several Puppy versions were having booting issues.
Main problem was network connection not being completed at bootup.
I removed this nvidia file from /root/startup.
All the bootup issues were no longer happening.
So, removing this file fixed it.

_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send private message 
peebee


Joined: 21 Sep 2008
Posts: 2864
Location: Worcestershire, UK

PostPosted: Sat 18 Feb 2017, 07:57    Post subject: 304.135 driver  

304.135 driver has been released by nvidia....

No longer needs the mtrr patch - hooray Razz

For kernels >=4.9 the k4.9 patch is still needed.

Patched 32-bit .run available from:
https://sourceforge.net/projects/lxpup/files/Other/nvidia/NVIDIA-Linux-x86-304.135-patched-k4.9.run/download

_________________
LxPup = Puppy + LXDE
Back to top
View user's profile Send private message Visit poster's website 
peebee


Joined: 21 Sep 2008
Posts: 2864
Location: Worcestershire, UK

PostPosted: Sat 25 Mar 2017, 13:21    Post subject:  

32-bit 304.135 driver patched for kernel-4.10....

NVIDIA-Linux-x86-304.135-patched-k4.10.run

Patches from here

_________________
LxPup = Puppy + LXDE
Back to top
View user's profile Send private message Visit poster's website 
peebee


Joined: 21 Sep 2008
Posts: 2864
Location: Worcestershire, UK

PostPosted: Sat 20 May 2017, 11:01    Post subject:  

32-bit 304.135 driver patched for kernel-4.11....

NVIDIA-Linux-x86-304.135-patched-k4.11.run

_________________
LxPup = Puppy + LXDE
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 8 of 10 [140 Posts]   Goto page: Previous 1, 2, 3, ..., 6, 7, 8, 9, 10 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Drivers
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0599s ][ Queries: 15 (0.0066s) ][ GZIP on ]